<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ list_detail.name }}</title>
</head>
<body>
    <header>
        <nav>
        <a href="{% url 'todo_list_list' %}">Main page</a>
        </nav>
    </header>
    <main>
        <div>
            <h1>{{ list_detail.name }}</h1>
            <p><a href="{% url 'todo_list_update' list_detail.id %}">Edit</a></p>
            <p><a href="{% url 'todo_list_delete' list_detail.id %}">Delete</a></p>
            <p><a href="{% url 'todo_item_create' %}">Create new item</a></p>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due Date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for tasks in list_detail.items.all %}
                        <tr>
                            <td>
                                <a href='{% url "todo_item_update" tasks.id %}'>{{ tasks.task }}</a>
                            </td>
                            <td>{{ tasks.due_date }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
    
</body>
</html>